Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetCustomLanguagePackString

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetCustomLanguagePackString

Enclosing class:
  TdApi

public static final class TdApi.SetCustomLanguagePackString extends TdApi.Function<TdApi.Ok>
Adds, edits or deletes a string in a custom local language pack. Can be called before authorization.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`languagePackId`
Identifier of a previously added custom local language pack in the current localization target.
`TdApi.LanguagePackString`
`newString`
New language pack string.

## Constructor Summary

Constructors
Constructor
Description
`SetCustomLanguagePackString()`
Adds, edits or deletes a string in a custom local language pack.
`SetCustomLanguagePackString(DataInput input)`
Adds, edits or deletes a string in a custom local language pack.
`SetCustomLanguagePackString(String languagePackId, TdApi.LanguagePackString newString)`
Adds, edits or deletes a string in a custom local language pack.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languagePackId

public String languagePackId
Identifier of a previously added custom local language pack in the current localization target.

### newString

public TdApi.LanguagePackString newString
New language pack string.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetCustomLanguagePackString

public SetCustomLanguagePackString()
Adds, edits or deletes a string in a custom local language pack. Can be called before authorization.

Returns `Ok`

### SetCustomLanguagePackString

public SetCustomLanguagePackString(String languagePackId, TdApi.LanguagePackString newString)
Adds, edits or deletes a string in a custom local language pack. Can be called before authorization.

Returns `Ok`

Parameters:
  `languagePackId` - String Identifier of a previously added custom local language pack in the current localization target.
  `newString` - LanguagePackString New language pack string.

### SetCustomLanguagePackString

public SetCustomLanguagePackString(DataInput input) throws IOException
Adds, edits or deletes a string in a custom local language pack. Can be called before authorization.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`